Index: wsdl/fedd.wsdl
===================================================================
--- wsdl/fedd.wsdl	(revision 6e33086c614c0f578bcd17d7f5f6ab37d236ef90)
+++ wsdl/fedd.wsdl	(revision 1ae1aa2daa942cd15ff46b173451674c97b6ff28)
@@ -74,4 +74,12 @@
   </message>
 
+  <message name="OperationRequestMessage">
+    <part name="OperationRequestBody" type="xsd1:operationRequestType"/>
+  </message>
+
+  <message name="OperationResponseMessage">
+    <part name="OperationResponseBody" type="xsd1:operationResponseType"/>
+  </message>
+
   <message name="MultiInfoRequestMessage">
     <part name="MultiInfoRequestBody" type="xsd1:multiInfoRequestType"/>
@@ -116,4 +124,14 @@
     <part name="InfoSegmentResponseBody" 
       type="xsd1:infoSegmentResponseType"/>
+  </message>
+
+  <message name="OperationSegmentRequestMessage">
+    <part name="OperationSegmentRequestBody" 
+      type="xsd1:operationSegmentRequestType"/>
+  </message>
+
+  <message name="OperationSegmentResponseMessage">
+    <part name="OperationSegmentResponseBody" 
+      type="xsd1:operationSegmentResponseType"/>
   </message>
 
@@ -214,4 +232,15 @@
     </operation>
 
+
+    <operation name="Operation">
+      <documentation>
+	A one-stop request for meta-data on the experiment.  Includes all the
+	info from a Vtopo and a Vis request.
+      </documentation>
+      <input message="tns:OperationRequestMessage"/>
+      <output message="tns:OperationResponseMessage"/>
+      <fault name="OperationFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
     <operation name="MultiInfo">
       <documentation>
@@ -251,5 +280,4 @@
     </operation>
 
-
     <operation name="InfoSegment">
       <documentation>
@@ -261,4 +289,13 @@
     </operation>
 
+    <operation name="OperationSegment">
+      <documentation>
+	Get info about a segment
+      </documentation>
+      <input message="tns:OperationSegmentRequestMessage"/>
+      <output message="tns:OperationSegmentResponseMessage"/>
+      <fault name="OperationSegmentFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
     <operation name="SetValue">
       <documentation>
@@ -436,4 +473,25 @@
 	</fault>
       </operation>
+      <operation name="Operation">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Operation"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:OperationRequestBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:OperationResponseBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="OperationFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
       <operation name="MultiInfo">
 	<documentation>
@@ -536,4 +594,25 @@
 	</output>
 	<fault name="InfoSegmentFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="OperationSegment">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="OperationSegment"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:OperationSegmentRequestBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:OperationSegmentResponseBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="OperationSegmentFeddFault">
 	  <soap:fault use="literal"  name="tns:FeddFault"
 	    namespace="http://www.isi.edu/fedd.wsdl"
Index: wsdl/fedd_types.xsd
===================================================================
--- wsdl/fedd_types.xsd	(revision 6e33086c614c0f578bcd17d7f5f6ab37d236ef90)
+++ wsdl/fedd_types.xsd	(revision 1ae1aa2daa942cd15ff46b173451674c97b6ff28)
@@ -455,4 +455,32 @@
   </xsd:complexType>
 
+  <xsd:complexType name="operationStatusType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Result of an operation.  The target, success or failure code and
+	descriptive text
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="target" type="xsd:string"/>
+      <xsd:element name="code" type="xsd:int">
+	<xsd:restriction>
+	  <xsd:enumeration value="0"/>	<!-- success -->
+	  <xsd:enumeration value="1"/>	<!-- access denied -->
+	  <xsd:enumeration value="2"/>	<!-- busy, retry -->
+	  <xsd:enumeration value="3"/>	<!-- not supported -->
+	  <xsd:enumeration value="4"/>	<!-- bad parameter -->
+	  <xsd:enumeration value="5"/>	<!-- internal error -->
+	  <xsd:enumeration value="6"/>	<!-- partial success -->
+	  <xsd:enumeration value="7"/>	<!-- no such target -->
+	  <xsd:enumeration value="8"/>	<!-- federant error -->
+	</xsd:restriction>
+      </xsd:element>
+      <xsd:element name="description" type="xsd:string" 
+	minOccurs="0" maxOccurs="1"/>
+    </xsd:sequence>
+  </xsd:complexType>
+
+
   <xsd:complexType name="newRequestType">
     <xsd:annotation>
@@ -733,4 +761,34 @@
   </xsd:complexType>
 
+  <xsd:complexType name="operationRequestType">
+    <xsd:annotation>
+      <xsd:documentation>
+	A request to operate on one or more elements of this experiment
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="experiment" type="tns:IDType"/>
+      <xsd:element name="operation" type="xsd:string"/>
+      <xsd:element name="target" type="xsd:string"
+	minOccurs="1" maxOccurs="unbounded"/>
+      <xsd:element name="parameter" type="tns:fedAttrType"
+	minOccurs="0" maxOccurs="unbounded"/>
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="operationResponseType">
+    <xsd:annotation>
+      <xsd:documentation>
+	A status of requested operations.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="experiment" type="tns:IDType"/>
+      <xsd:element name="status" type="tns:operationStatusType"
+	minOccurs="1" maxOccurs="unbounded"/>
+      <xsd:element name="proof" type="tns:proofType" />
+    </xsd:sequence>
+  </xsd:complexType>
+
   <xsd:complexType name="terminateRequestType">
     <xsd:annotation>
@@ -846,4 +904,35 @@
       <xsd:element name="fedAttr" type="tns:fedAttrType" minOccurs="0"
 	maxOccurs="unbounded"/>
+      <xsd:element name="proof" type="tns:proofType" />
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="operationSegmentRequestType">
+    <xsd:annotation>
+      <xsd:documentation>
+	A request to operate on one or more elements of this segment (or the
+	whole segment)
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="allocID" type="tns:IDType"/>
+      <xsd:element name="operation" type="xsd:string"/>
+      <xsd:element name="target" type="xsd:string"
+	minOccurs="1" maxOccurs="unbounded"/>
+      <xsd:element name="parameter" type="tns:fedAttrType"
+	minOccurs="0" maxOccurs="unbounded"/>
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="operationSegmentResponseType">
+    <xsd:annotation>
+      <xsd:documentation>
+	A status of requested operations.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="allocID" type="tns:IDType"/>
+      <xsd:element name="status" type="tns:operationStatusType"
+	minOccurs="1" maxOccurs="unbounded"/>
       <xsd:element name="proof" type="tns:proofType" />
     </xsd:sequence>
